var fatina = require("fatina").default;

// init fatina (api: https://kefniark.github.io/Fatina/api/basic/)
fatina.init(false);

// create a dummy object
var obj = { a: 0, b: 0, position: {x:0, y:0}};

// create a tween (api: https://kefniark.github.io/Fatina/api/tween/)
fatina.tween(obj.position)
    .to({x: 10, y: 10}, 4)
    .onStart(() => console.log("My tween is starting !"))
    .onUpdate((dt, progress) => console.log(`My tween is updating (+${dt}ms, ${progress*100}%)`))
    .onComplete(() => console.log("My tween is finished !"))
    .start();

// simulate frame update
for (var i = 0; i < 5; i++) {
    fatina.update(1);
};
